Subject: [rohc] Updating properties of EXT-3 in RFC3095

From: "Ghyslain Pelletier \(LU/EAB\)" <[email-masked]>
Date: Wed, 28 Jun 2006 12:46:08 +0200

RoHCers,

A question was raised regarding the updating properties of UO-1-ID-ext3, with respect to TIME_STRIDE, TS_STRIDE and TS_OFFSET.

RFC3095 does not mention how this handled. According to section 4.6 of the "Corrections and Clarifications to RFC3095", TS_OFFSET must be recalculated when unscaled TS is sent. One must also interpret correctly the text to figure out that TS_STRIDE and TIME_STRIDE must not be updated.

One proposal was that the "Corrections and Clarifications to 3095" should include text along the following line:

  "TS_OFFSET, TS_STRIDE, TIME_STRIDE MUST NOT be updated by UO-1-ID-ext3"

This would mean also that there is no point in sending TS_STRIDE with UO-1-ID-ext3, while TIME_STRIDE must be used to decompressed the packet without updating the value of TIME_STRIDE in the context.

This might mean that section 4.6 would need a modification as well.

Comments?

/Ghyslain

--
 Ghyslain Pelletier, Dipl. Ing.
 Wireless IP Optimizations
 Ericsson Research, Corporate Unit

 Ericsson AB, Laboratoriegränd 11
 Box 920, S-97128 Luleå, SWEDEN
 Phone : +46 (0)  8 404 29 43
 Mobile: +46 (0) 70 264 83 14
 Ghyslain.Pelletier at ericsson.com
 http://www.ericsson.com

-----------------------------------
 The opinions expressed in this
 message are my personal opinions.
 These opinions are not
 necessarily those of my employer,
 unless stated otherwise.
-----------------------------------

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc